
from ming import *

def buildShape( fillRed, fillGreen, fillBlue):

    s = SWFShape()
    f = s.addSolidFill( fillRed, fillGreen, fillBlue, 0xff)
    s.moveTo(1100, 300)
    s.setRightFill(f)
    s.setLine(20, 0x00, 0x00, 0x00, 0xff)
    s.lineToRelative(-1020,0)
    s.lineToRelative(0,-260)
    s.lineToRelative(1020,0)
    s.lineToRelative(0, 260)
    return s

s1 = buildShape( 0xff, 0x00, 0x00)
s2 = buildShape( 0x00, 0xff, 0x00)
s3 = buildShape( 0x00, 0x00, 0xff)
s4 = buildShape( 0x00, 0x00, 0x00)

b = SWFButton()
b.addShape( s1, SWFBUTTON_UP)
b.addShape( s2, SWFBUTTON_OVER)
b.addShape( s3, SWFBUTTON_DOWN)
b.addShape( s4, SWFBUTTON_HIT)

actionCode = """

getURL('foo','');

"""

a = SWFAction( actionCode )
b.addAction( a, SWFBUTTON_MOUSEUP)


m = SWFMovie()
m.setRate(12.0)
m.setDimension(3300, 3900)
m.setBackground(0xff,0xff,0xff)


if 1:
    font = SWFFont( 'Times.fdb' )
    test = SWFText()
    test.setFont( font )
    test.setXY( 200, 1200)
    test.setHeight( 300 )
    test.setColor( 0, 0, 0, 0xff)
    test.addString("foobie!")
    m.add(test)

m.add(b)

m.nextFrame()

m.save('button.swf')
